Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Maven Integration (M2E) » Galileo - M2Eclipse Subversive Integration(Subversive Integration for the M2Eclipse Project)
Galileo - M2Eclipse Subversive Integration [message #516587] Wed, 24 February 2010 13:35 Go to next message
hugo niedermaier is currently offline hugo niedermaierFriend
Messages: 2
Registered: February 2010
Junior Member
hi,

trying to install the Subversive Integration for the M2Eclipse Project fro the Subversive Integration Site - http://www.polarion.org/projects/subversive/download/integra tions/update-site/ into my Eclipse Galileo Release results in the following error message:

Cannot complete the install because one or more required items could not be found.
Software being installed: Subversive Integration for the M2Eclipse Project 1.0.2.I20091023-1300 (org.polarion.eclipse.team.svn.m2eclipse.feature.group 1.0.2.I20091023-1300)
Missing requirement: Subversive Extension for the M2Eclipse 1.0.2.I20091023-1300 (org.polarion.eclipse.team.svn.m2eclipse 1.0.2.I20091023-1300) requires 'bundle org.maven.ide.components.maven_embedder 0.9.2' but it could not be found
Cannot satisfy dependency:
From: Subversive Integration for the M2Eclipse Project 1.0.2.I20091023-1300 (org.polarion.eclipse.team.svn.m2eclipse.feature.group 1.0.2.I20091023-1300)
To: org.polarion.eclipse.team.svn.m2eclipse [1.0.2.I20091023-1300]

saying that a org.maven.ide.components.maven_embedder 0.9.2 could not be found!!

is there anybody out there in the web universe how can help me??

cheers, hugo
Re: Galileo - M2Eclipse Subversive Integration [message #516905 is a reply to message #516587] Thu, 25 February 2010 14:02 Go to previous messageGo to next message
hugo niedermaier is currently offline hugo niedermaierFriend
Messages: 2
Registered: February 2010
Junior Member
hi all,

meanwhile i found a solution. i just copied all files and folders from my eclipse ganymede installation which contains org.maven.ide.components.* (in the features and plugins folder) into my eclipse galileo manually. after a restart i could successfully install the plugin.

bye
Re: Galileo - M2Eclipse Subversive Integration [message #519679 is a reply to message #516905] Tue, 09 March 2010 16:48 Go to previous messageGo to next message
Fernando  is currently offline Fernando Friend
Messages: 2
Registered: February 2010
Junior Member
Hi Hugo,

I'm also trying to install Subversive integration with Maven2 in Eclipse Galileo and I get the same error message you paste in the first message.

At first, the solution you propose is not suitable for me as long as I donĀ“t have installed Ganymede and, of course, neither of its repositories.

Have you found any other solution to this problem?

Thank you for your help.

Greetings,

Fernando.
Re: Galileo - M2Eclipse Subversive Integration [message #539560 is a reply to message #519679] Fri, 11 June 2010 10:18 Go to previous messageGo to next message
Stevo Slavic is currently offline Stevo SlavicFriend
Messages: 21
Registered: July 2009
Junior Member
It seems m2eclipse 0.10.0.20100209-0800 is not supported (yet) or integration with it is broken.
Re: Galileo - M2Eclipse Subversive Integration [message #539667 is a reply to message #516587] Fri, 11 June 2010 18:32 Go to previous message
TimeSearcher  is currently offline TimeSearcher Friend
Messages: 1
Registered: June 2010
Junior Member
I was following the m2eclipse documentation outline at http:// www.sonatype.com/books/m2eclipse-book/reference/installing-s ect-prereq.html

I encountered the same problem, the missing dependency, described above.

So I backed up and unchecked / deselected that component. I went forward again and successfully completed installation of the other parts of the 'm2e-extras' package.

As my next step, I followed the instructions and updated my Eclipse Ganymede IDE with the Tigris Subversion 1.6.x plugin.

It looked to me like I may have resolved the missing dependency, so I went back to my "Install New Software" menu, pulled down the http://m2eclipse.sonatype.org/sites/m2e-extras source and browsed for updated or previously not selected options. [Important Note: you'll want to check the "Hide Items that are already installed" box on the lower right. ]

With the missing dependency filled in, the additional content handler installed with no problems.

In a nutshell, the documentation should be revised to install the Tigris Subversion packages first...
Previous Topic:No "SCM URL"s in "Checkout as Maven Project from SCM"
Next Topic:Archetype download failure
Goto Forum:
  


Current Time: Wed Nov 14 05:03:25 GMT 2018

Powered by FUDForum. Page generated in 0.01575 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top